For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
            • GETGet Abandoned Cart
              • GETGet Global Abandoned Cart Settings
              • PUTUpdate Global Abandoned Cart Settings
              • GETGet Channel Abandoned Cart Settings
              • PUTUpdate Channel Abandoned Cart Settings
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementAbandoned CartsAbandoned Carts Settings

Get Channel Abandoned Cart Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/abandoned-carts/settings/channels/:channel_id
GET
/stores/:store_hash/v3/abandoned-carts/settings/channels/:channel_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "enable_notification": true,
4 "email_customer_until_cart_is_recovered": true,
5 "marketing_emails_require_customer_consent": true,
6 "email_merchant_when_cart_is_converted": true,
7 "email_merchant_when_cart_is_abandoned": true,
8 "merchant_email_address": "notifications@store-example.com",
9 "merchant_abandoned_cart_email_frequency_type": "digest",
10 "merchant_abandoned_cart_digest_email_frequency": 5
11 },
12 "meta": {}
13}

Return the per-channel overrides for the abandoned cart settings of a store.

Was this page helpful?
Previous

Update Global Abandoned Cart Settings

Next

Update Channel Abandoned Cart Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idintegerRequired
The channel ID of the settings overrides
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
dataobject
Represents all settings overrides related to the abandoned cart functionality of a store for a channel
metaobject
Response metadata

Errors

401
Unauthorized Error